import type { NextPage } from "next";
import Head from "next/head";
import withPrimusWebsocket from "../components/hocs/withPrimusWebsocket";
import styles from "../styles/Home.module.css";

const Home: NextPage = () => {
  return (
    <div className={styles.container}>
      <Head>
        <title>Primus Implementation</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
        <script async src="http://localhost:7001/primus/primus.js"></script>
      </Head>

      <main className={styles.main}>
        <h1 className={styles.title}>Primus Implementation Example</h1>
        <p>
          Please open console to see log detail, both from web browser and dev
          cli
        </p>
      </main>
    </div>
  );
};

export default withPrimusWebsocket(Home);
